/*
 * Copyright 2020 ZUP IT SERVICOS EM TECNOLOGIA E INOVACAO SA
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import 'package:beagle/src/logger/beagle_logger.dart';
import 'package:beagle/src/service_locator.dart';
import 'package:flutter/material.dart';

class BeagleOpenNativeRoute {
  factory BeagleOpenNativeRoute() {
    return _instance;
  }

  BeagleOpenNativeRoute._constructor();

  static final BeagleOpenNativeRoute _instance =
      BeagleOpenNativeRoute._constructor();

  void navigate(BuildContext buildContext, String routeName) {
    try {
      Navigator.pushNamed(buildContext, routeName);
    } catch (err) {
      beagleServiceLocator<BeagleLogger>()
          .error('Error: $err while trying to navigate to $routeName');
    }
  }
}
